# Check Point Maestro SMO ASG monitor chassis/SGMs

This is equivalent to the "asg monitor" command for Check Point sclable platform on the SingleManagementObject (SMO)

---
### Check Info

* *service*: this check will create the service ASG Chassis

* *state*:\
    **critical**:
    -    if the chassis not *active*/*standby*
    -    if the SGM state is not *active*
    -    if the number of chassis has changed
    -    if chassis grade don't equals max grade
    -    if the number of SGMs has changed

    **warning**:
    -   if the desired chassis is not active

* *wato*: [(see WATO options)](/../../../-/raw/master//doc/wato.png "see WATO options")

* *perfdata*: None

---
### Download

* [checkpoint_asg_chassis.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/check-point/maestro/checkpoint_asg_chassis/-/raw/master/checkpoint_asg_chassis.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install checkpoint_asg_chassis.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

WATO options

![WATO options](/doc/wato.png?raw=true "WATO options")
